Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.util
Class WSDL20Util

    java.lang.Object
      org.apache.axis2.util.WSDL20Util

    public class WSDL20Util

extends java.lang.Object

Constructor Summary
`WSDL20Util()`

Method Summary
`static java.lang.String` | `applyURITemplating(MessageContext messageContext, java.lang.String rawURLString, boolean detach)` This method is used to resolve httplocation property.
`static void` | `extractWSDL20SoapFaultInfo(java.util.Map options, org.apache.axiom.om.OMElement bindingMessageElement, org.apache.axiom.om.OMFactory omFactory, org.apache.axiom.om.OMNamespace wsoap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDL20Util

    public WSDL20Util()

Method Detail

### extractWSDL20SoapFaultInfo

    public static void extractWSDL20SoapFaultInfo(java.util.Map options,
                                                  org.apache.axiom.om.OMElement bindingMessageElement,
                                                  org.apache.axiom.om.OMFactory omFactory,
                                                  org.apache.axiom.om.OMNamespace wsoap)

### applyURITemplating

    public static java.lang.String applyURITemplating(MessageContext messageContext,
                                                      java.lang.String rawURLString,
                                                      boolean detach)
                                               throws AxisFault

  This method is used to resolve httplocation property. It changes the URL as stipulated by the httplocation property.

  Parameters:
    `messageContext` - - The MessageContext of the request
    `rawURLString` - - The raw URL containing httplocation templates
    `detach` - - Boolean value specifying whether the element should be detached from the envelop. When serializing data as application/x-form-urlencoded what goes in the body is the remainder and therefore we should detach the element from the envelop.
  Returns:
    - String with templated values replaced
  Throws:
    `AxisFault` - - Thrown in case an exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.